LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07829Bug reports[All Projects] Import/Exportpublic2013-05-13 06:222013-05-26 21:06
Reporterlm_ric 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07829: not able to export pdf with Chinese character
Descriptionnot able to export pdf with Chinese character
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130428
BrowserIE
Database & DB-VersionMysql 5+
Operating System (Server)Windows 7
Webserver software & versionIIS 6
PHP Versionphp 5+
Attached Filespng file icon Untitled01.png [^] (31,202 bytes) 2013-05-13 06:24


? file icon survey_archive_chinese.lsa [^] (3,223 bytes) 2013-05-13 11:05

- Relationships

-  Notes
User avatar (25228)
DenisChenu (developer)
2013-05-13 10:00

Need an lsa file example with REAL chinese inside
User avatar (25229)
lm_ric (reporter)
2013-05-13 10:52

yes, created.

http://demo.limesurvey.org/index.php/survey/index/sid/995557/newtest/Y/lang/zh-Hant-TW [^]
User avatar (25230)
DenisChenu (developer)
2013-05-13 11:05

OK,

Thanks, it's in public print.
User avatar (25311)
DenisChenu (developer)
2013-05-20 17:34

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12448 [^]
User avatar (25312)
DenisChenu (developer)
2013-05-20 18:01

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12450 [^]
User avatar (25374)
c_schmitz (administrator)
2013-05-26 21:06

New version 2.00+ Build 130526 released

- Related Changesets
LimeSurvey: master 43e52db3
Timestamp: 2013-05-20 15:31:22
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 07829: not able to print answers in pdf with Chinese character
Dev: Add viewHelper::getPdfLanguageSettings($language) to get the settings
Dev: use this on statistics, print answers and export results
mod - application/config/config-defaults.php Diff ] File ]
mod - application/controllers/PrintanswersController.php Diff ] File ]
mod - application/helpers/admin/exportresults_helper.php Diff ] File ]
mod - application/helpers/admin/statistics_helper.php Diff ] File ]
mod - application/helpers/viewHelper.php Diff ] File ]
LimeSurvey: master 09b4b51a
Timestamp: 2013-05-20 15:49:18
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Dev: issue 07829 : move getPdfLanguageSettings in new helper pdfHelper
mod - application/controllers/PrintanswersController.php Diff ] File ]
mod - application/helpers/admin/exportresults_helper.php Diff ] File ]
mod - application/helpers/admin/statistics_helper.php Diff ] File ]
add - application/helpers/pdfHelper.php Diff ] File ]
mod - application/helpers/viewHelper.php Diff ] File ]
LimeSurvey: 2.05 218f6f8d
Timestamp: 2013-05-20 15:58:39
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 07829: not able to print answers in pdf with Chinese character
Dev: Add pdfHelper::getPdfLanguageSettings($language) to get the settings
Dev: use this on statistics, print answers and export results
mod - application/config/config-defaults.php Diff ] File ]
mod - application/controllers/PrintanswersController.php Diff ] File ]
mod - application/helpers/admin/exportresults_helper.php Diff ] File ]
mod - application/helpers/admin/statistics_helper.php Diff ] File ]
add - application/helpers/pdfHelper.php Diff ] File ]
mod - application/helpers/viewHelper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-13 06:22 lm_ric New Issue
2013-05-13 06:24 lm_ric File Added: Untitled01.png
2013-05-13 09:59 DenisChenu Assigned To => DenisChenu
2013-05-13 09:59 DenisChenu Status new => assigned
2013-05-13 10:00 DenisChenu Note Added: 25228
2013-05-13 10:00 DenisChenu Status assigned => feedback
2013-05-13 10:52 lm_ric Note Added: 25229
2013-05-13 10:52 lm_ric Status feedback => assigned
2013-05-13 11:05 DenisChenu Note Added: 25230
2013-05-13 11:05 DenisChenu File Added: survey_archive_chinese.lsa
2013-05-20 17:34 DenisChenu Changeset attached => LimeSurvey master 43e52db3
2013-05-20 17:34 DenisChenu Note Added: 25311
2013-05-20 17:34 DenisChenu Resolution open => fixed
2013-05-20 17:51 DenisChenu Changeset attached => LimeSurvey master 09b4b51a
2013-05-20 18:01 DenisChenu Changeset attached => LimeSurvey 2.05 218f6f8d
2013-05-20 18:01 DenisChenu Note Added: 25312
2013-05-20 18:01 DenisChenu Status assigned => resolved
2013-05-20 18:01 DenisChenu Fixed in Version => 2.00+
2013-05-26 21:06 c_schmitz Note Added: 25374
2013-05-26 21:06 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker